Subject: Re: Found the commit for: 5.3.7 64-bits kernel doesn't boot on G5 Quad [regression]

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Wed, 11 Dec 2019 07:50:31 +0530

John Paul Adrian Glaubitz <[email-masked]> writes:

> Hi!
>
> On 12/10/19 9:35 AM, Romain Dolbeau wrote:
>> Le sam. 16 nov. 2019 à 17:34, Romain Dolbeau <[email-masked]> a écrit :
>>> So it seems to me that 0034d395f89d9c092bb15adbabdca5283e258b41
>>> introduced the bug that crashes the PowerMac G5
>> 
>> There's been some commits in that subsystem, so I tried again; as of
>> 6794862a16ef41f753abd75c03a152836e4c8028, the kernel still crashes
>> when trying to boot my PowerMac G5.
>
> If Aneesh is currently unable to look at the problem, I would suggest reverting
> the commit in question since I don't think it's acceptable that users are unable
> to boot their machines anymore after a kernel upgrade.
>

The PowerMac system we have internally was not able to recreate this.
Hence we have not been able to make progress on this.

At this point, I am not sure what would cause the Machine check with
that patch series because we have not changed the VA bits in that patch.

-aneesh